--- old/usr/src/uts/common/io/ixgbe/ixgbe_osdep.h	Thu Jan 14 14:49:28 2016
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_osdep.h	Thu Jan 14 14:49:28 2016
@@ -28,6 +28,7 @@
  */
 /*
  * Copyright (c) 2012, Joyent, Inc. All rights reserved.
+ * Copyright 2016 OmniTI Computer Consulting, Inc. All rights reserved.
  */
 
 #ifndef	_IXGBE_OSDEP_H
@@ -108,11 +109,15 @@
 
 #ifdef _BIG_ENDIAN
 #define IXGBE_CPU_TO_LE32	BSWAP_32
-#define IXGBE_LE32_TO_CPUS 	BSWAP_32
+#define IXGBE_LE32_TO_CPUS	BSWAP_32
+#define IXGBE_CPU_TO_BE16	(x)
+#define IXGBE_CPU_TO_BE32	(x)
 #else
 #define IXGBE_CPU_TO_LE32(x)	(x)
 #define IXGBE_LE32_TO_CPUS(x)	(x)
-#endif	/* _BIG_ENDIAN */
+#define IXGBE_CPU_TO_BE16	BSWAP_16
+#define IXGBE_CPU_TO_BE32	BSWAP_32
+#endif /* _BIG_ENDIAN */
 
 #define	UNREFERENCED_PARAMETER(x)		_NOTE(ARGUNUSED(x))
 #define UNREFERENCED_1PARAMETER(_p)		UNREFERENCED_PARAMETER(_p)
@@ -132,6 +137,14 @@
 typedef	uint64_t	u64;
 typedef boolean_t	bool;
 
+/* shared code requires this */
+#define __le16  u16
+#define __le32  u32
+#define __le64  u64
+#define __be16  u16
+#define __be32  u32
+#define __be64  u64
+
 struct ixgbe_osdep {
 	ddi_acc_handle_t reg_handle;
 	ddi_acc_handle_t cfg_handle;
